Loading...
Searching...
No Matches
postprocess.h File Reference
libpostproc

external API header More...

`#include "libpostproc/version_major.h"`
`#include "libpostproc/version.h"`
`#include <inttypes.h>`

Go to the source code of this file.

## Macros

#define | PP_QUALITY_MAX 6
#define | PP_CPU_CAPS_MMX 0x80000000
#define | PP_CPU_CAPS_MMX2 0x20000000
#define | PP_CPU_CAPS_3DNOW 0x40000000
#define | PP_CPU_CAPS_ALTIVEC 0x10000000
#define | PP_CPU_CAPS_AUTO 0x00080000
#define | PP_FORMAT 0x00000008
#define | PP_FORMAT_420 (0x00000011|PP_FORMAT)
#define | PP_FORMAT_422 (0x00000001|PP_FORMAT)
#define | PP_FORMAT_411 (0x00000002|PP_FORMAT)
#define | PP_FORMAT_444 (0x00000000|PP_FORMAT)
#define | PP_FORMAT_440 (0x00000010|PP_FORMAT)
#define | PP_PICT_TYPE_QP2 0x00000010
| MPEG2 style QScale.

## Typedefs

typedef void | pp_context
typedef void | pp_mode

## Functions

unsigned | postproc_version (void)
| Return the LIBPOSTPROC_VERSION_INT constant.
const char * | postproc_configuration (void)
| Return the libpostproc build-time configuration.
const char * | postproc_license (void)
| Return the libpostproc license.
void | pp_postprocess (const uint8_t *src[3], const int srcStride[3], uint8_t *dst[3], const int dstStride[3], int horizontalSize, int verticalSize, const int8_t *QP_store, int QP_stride, pp_mode *mode, pp_context *ppContext, int pict_type)
pp_mode * | pp_get_mode_by_name_and_quality (const char *name, int quality)
| Return a pp_mode or NULL if an error occurred.
void | pp_free_mode (pp_mode *mode)
pp_context * | pp_get_context (int width, int height, int flags)
void | pp_free_context (pp_context *ppContext)

## Variables

const char | pp_help []
| a simple help text

## Detailed Description

external API header

Definition in file postprocess.h.